﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Extension.Packet;

namespace WSMeter.Link.Packet
{
    class WSPacket : RawPacket
    {
        public WSPacket(byte[] Raw) : base(Raw) { }

        public WSPacket(string Text)
            : base(Text.Length + 1)
        {
            WriteANSIString(0, Text, Text.Length);

            WriteByte(Text.Length, 0);
        }

        /// <summary>
        /// Текст
        /// </summary>
        public string Text
        {
            get { return ReadANSIString(0, getLength()); }
        }
    }
}
