﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Extension.Parameter
{
    static class Parameter
    {
        public static string getParameterName(this string Line)
        {
            int Sep = Line.IndexOf("=");
            if (Sep > 0)
                return Line.Substring(0, Sep);
            else
                return Line;
        }

        public static string getStringValue(this string Line, string Default)
        {
            int Sep = Line.IndexOf("=");
            if (Sep > 0)
                return Line.Substring(Sep + 1);
            else
                return Default;
        }

        public static int getIntegerValue(this string Line, int Default)
        {
            int Sep = Line.IndexOf("=");
            if (Sep > 0)
                return Int32.Parse(Line.Substring(Sep + 1));
            else
                return Default;
        }
    }
}
