﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WSMeter
{
    static class Program
    {
        static string BindAddress = null;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            ParseArgs(args);

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var F = (BindAddress != null) ? new fMain(BindAddress) : new fMain();

            Application.Run(F);
        }

        static void ParseArgs(string[] args)
        {
            ArgumentParser Parser = new ArgumentParser(args);
            List<Argument> ArgList = Parser.Arguments;

            for (int i = 0; i < ArgList.Count; i++)
            {
                switch (ArgList[i].Name)
                {
                    case "n":
                        {
                            foreach (var A in ArgList[i].Arguments)
                            {
                                if (A.Name.CompareTo("ip") == 0) BindAddress = A.Value;
                            }
                            break;
                        }
                }
            }
        }
    }
}
